Cyberduck Mountain Duck CLI

#558 closed defect (wontfix)

Widget ignores port number

Reported by: rob@… Owned by: dkocher
Priority: normal Milestone:
Component: dashboard-widget Version: 2.7.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When SFTP is not on the standard port (saved in your bookmarks) the widget chooses to ignore the non-standard port and instead tries to open a connection to port 22.

Change History (9)

comment:1 Changed on Jul 12, 2006 at 9:45:07 AM by dkocher

  • Component changed from core to dashboard-widget
  • Status changed from new to assigned

comment:2 Changed on Dec 16, 2006 at 8:20:02 PM by dkocher

  • Milestone set to 2.7.2
  • Resolution set to worksforme
  • Status changed from assigned to closed

comment:3 Changed on Dec 18, 2006 at 10:04:48 AM by rob

  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 2.6 to 2.7.1

It doesn't work for me. Please find attached this quicktime video demonstrating so (I will upload it in one moment if given the opportunity to - otherwise I will link to a free file host).

comment:4 Changed on Dec 18, 2006 at 10:07:29 AM by rob

I cannot work out how to submit files to this trac. I have linked it offsite [here http://www.uploading.com/files/BYI4T5N7/dontworkforme.mov.html]. The password is "debug".

comment:5 Changed on Dec 18, 2006 at 6:34:34 PM by dkocher

I can't download the linked file; it says

All download slots assigned to your country (Pakistan) are in use. We apologize for the inconvenience.
Please try again later.

comment:6 Changed on Dec 19, 2006 at 8:42:29 PM by dkocher

  • Milestone 2.7.2 deleted
  • Summary changed from Widget ignores path fot SFTP to Widget ignores path

The widget does not update the displayed bookmarks when you change these in Cyberduck.app. You have to create a new Cyberduck Widget in the Dashboard to get the current bookmarks.

comment:7 Changed on Dec 21, 2006 at 5:25:14 PM by dkocher

  • Summary changed from Widget ignores path to Widget ignores port number

(Comment sent by rob by Email)

That is not the problem. It is the PORT not PATH thats wrong as can be seen in the demonstration video (which I hope you received via e-mail) the program tcpdump is revealing activity on port 22 when this is not the port SSH is run on.

It is not to do with the bookmarks being out of date. They were not out of date and the additional one you saw inside of my widget had been deleted from the Cyberduck main program for the purposes of making the screencast only. I never made bookmarks with different port numbers. I think what you may have done is made separate bookmarks inside the Cyberduck widget and forgot to allow a port field?

comment:8 Changed on Dec 4, 2008 at 12:57:45 AM by anonymous

I can confirm this problem. Some people, like me, run SSH on a different port just to cut down on the portknocking that is so common on port 22. So, if you want to pass a file to your home server while at work or the coffee shop, it would be nice to use the widget, but the widget doesn't work if the server isn't listening on port 22. I would much rather dump stuff to my home server than an Amazon bucket, but for now, JungleDisk is easier than Cyberduck.

comment:9 Changed on Jul 23, 2010 at 9:54:19 AM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed

There are currently no plans to reintroduce support for AppleScript.

Note: See TracTickets for help on using tickets.
swiss made software